<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="FhirValidator-PersistenceUnit" transaction-type="JTA">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <jta-data-source>java:jboss/datasources/FhirValidatorDS</jta-data-source>
        <class>net.ihe.gazelle.preferences.ApplicationConfiguration</class>
        <class>net.ihe.gazelle.home.Home</class>
        <class>net.ihe.gazelle.validator.statistics.ValidatorUsage</class>
        <class>net.ihe.gazelle.fhir.validator.common.adapter.FhirValidatorDescription</class>
        <class>net.ihe.gazelle.fhir.validator.common.adapter.FhirResourceValidatorDescription</class>
        <class>net.ihe.gazelle.fhir.validator.common.adapter.FhirURLValidatorDescription</class>
        <class>net.ihe.gazelle.fhir.validator.common.adapter.FhirRequestParameter</class>
        <class>net.ihe.gazelle.fhir.validator.common.adapter.ValueSetForParameter</class>
        <properties>

            <property name="hibernate.transaction.jta.platform" value="org.hibernate.service.jta.platform.internal.JBossAppServerJtaPlatform" />
            <property name="hibernate.transaction.factory_class" value="org.hibernate.transaction.JTATransactionFactory"/>

            <property name="jboss.entity.manager.factory.jndi.name"
                      value="java:jboss/root/FhirValidator-EntityManagerFactory"/>
            <property name="hibernate.dialect" value="${hibernate.dialect}"/>
            <!--<property name="hibernate.hbm2ddl.auto" value="${hibernate.hbm2ddl.auto}"/>-->
            <!--<property name="hibernate.show_sql" value="${hibernate.show_sql}"/>-->
            <!--<property name="hibernate.format_sql" value="true"/>-->
            <property name="hibernate.connection.datasource" value="java:jboss/datasources/FhirValidatorDS"/>
            <property name="hibernate.jdbc.batch_size" value="20"/>
            <property name="hibernate.cache.use_query_cache" value="false"/>
            <property name="hibernate.cache.use_second_level_cache" value="true"/>
            <property name="hibernate.connection.driver_class" value="${jdbc.driver.class}"/>
            <property name="hibernate.c3p0.min_size" value="${min.pool.size}"/>
            <property name="hibernate.c3p0.max_size" value="${max.pool.size}"/>
            <property name="hibernate.c3p0.acquire_increment" value="1"/>
            <property name="hibernate.c3p0.idle_test_period" value="40"/>
            <property name="hibernate.c3p0.max_statements" value="50"/>
            <property name="hibernate.c3p0.timeout" value="30"/>
            <property name="hibernate.id.new_generator_mappings" value="false"/>
            <property name="hibernate.jdbc.use_streams_for_binary" value="false"/>
            <property name="hibernate.c3p0.unreturnedConnectionTimeout" value="400"/>
            <property name="hibernate.c3p0.debugUnreturnedConnectionStackTraces" value="true"/>

        </properties>
    </persistence-unit>
</persistence>

